#!/usr/koeki/bin/ruby
# -*- coding: utf-8 -*-
sum1 = 0
STDERR.print "今から難読・漢字クイズをします!正解を選んでください!\n"
print "問1,「仙人拳」: 1「さぼてん」、2「うに」、3「せんにんけん」\n"
ans1 = gets.chomp
if ans1 == "1" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end

print "問2,「木瓜」: 1「きこ」、2「もか」、3「ぼけ」\n"
ans1 = gets.chomp
if ans1 == "3" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end

print "問3,「馬酔木」: 1「ばすいもく」、2「あくび」、3「あせび」\n"
ans1 = gets.chomp
if ans1 == "3" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end

print "問4,「亜爾然丁」: 1「アフリカ」、2「アルゼンチン」、3「アメリカ」\n"
ans1 = gets.chomp
if ans1 == "2" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end

print "問5,「公果」: 1「コンゴ」、2「カタール」、3「カナダ」\n"
ans1 = gets.chomp
if ans1 == "1" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end

print "問6,「瑞典」: 1「スイス」、2「スロバキア」、3「スウェーデン」\n"
ans1 = gets.chomp
if ans1 == "3" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end
print "問7,「西班牙」: 1「スペイン」、2「スーダン」、3「セルビア」\n"
ans1 = gets.chomp
if ans1 == "1" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end
print "問8,「馬達加斯加」: 1「パプアニューギニア」、2「セントクリファー・ネイビス」、3「マダガスカル」\n"
ans1 = gets.chomp
if ans1 == "3" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end
print "問9,「鰈」: 1「かさご」、2「かれい」、3「ひらめ」\n"
ans1 = gets.chomp
if ans1 == "2" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end
print "問10,「蝦虎魚」: 1「はぜ」、2「まごち」、3「かさご」\n"
ans1 = gets.chomp
if ans1 == "1" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end
print "問11,「鮍」: 1「さめ」、2「かわはぎ」、3「まぐろ」\n"
ans1 = gets.chomp
if ans1 == "2" then
  print "正解!\n"
  sum1 += 1
else
  print "不正解!\n"
end

if sum1 <= 3 then
  print "あなたの難読力は初級!\n"
elsif sum1 >=4 && sum1 <=7 then
  print "あなたの難読力は中級!\n"
elsif sum1 >=8 && sum1 <=10 then
  print "あなたの難読力は上級!\n"
elsif sum1 > 10 then
  print "満点!すごい!\n"
end
